/*
 *	proto.h
 */
char 	getopt( int argc, const char *argv[], const char *optstring ) ;
HINT	get_rand(LPHWORD inm);
HINT	daperr(HINT num, HWORD sf, LPHLONG eval, LPHINT from, LPHINT to, LPHWORD rparam);
HINT	aperr(HINT num, HWORD sf,LPHLONG eval, LPHINT from, LPHINT to);
HINT	HGetPCM(LPHFILE fp, HINT channels, HINT num, LPHWORD chan1, LPHWORD chan2);
HINT	HPutPacket(LPHFILE fp, HINT num, LPHWORD buf,HINT swap);
HINT	filter1(LPHWORD statearray, HINT elements, LPHWORD datain, LPHWORD fout);
HINT	filter2(LPHWORD statearray, HINT elements, LPHWORD datain, LPHWORD fout);
HINT	filter3(LPHWORD statearray, HINT elements, LPHWORD datain, LPHWORD fout);
HWORD	CreateCSXHeader(LPHWORD add, HINT fnum);
HINT	CSXHeaderParameters(LPHWORD packet, HINT count, HINT filter, HINT packbitsplus);
HINT	CSXHeaderStates(LPHWORD buf,LPHWORD fss, HINT filter,HINT sf, HINT pestate,HINT randno);
HINT	process_block(HINT compmode, HWORD thres, LPHWORD pspt, LPHWORD fss, LPHWORD databuf,LPHWORD outbuf,LPHWORD prand);
HINT 	maxbits(HINT num,LPHINT inarray);
HINT 	maxvalue(HINT num,LPHINT inarray);
HINT	pack(HINT num,LPHINT to, LPHINT from, HINT entries);
HINT 	pre_emph(LPHWORD statearray, HINT elements, LPHWORD datain, LPHWORD fout);
